# awaitFirstWithDeferred

suspend fun < T > Iterable <Deferred< T >>. awaitFirstWithDeferred (scope: CoroutineScope, cancelOnResult: Boolean = true): Pair <Deferred< T >, T >(source)

Trying to Deferred.await on all thiss. The first Deferred completed its work will interrupt all others awaits and, if cancelOnResult passed as true (by default), will also cancel all the others Deferreds

#### Parameters

scope

Will be used to create CoroutineScope.LinkedSupervisorScope and launch joining of all Jobs in it